wget2: Data Fields

| wget2 2.2.1

Loading...
Searching...
No Matches
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- abs_url : wget_css_parsed_url_st
- add : wget_hpkp_db_vtable, wget_hsts_db_vtable
- add_fingerprint : wget_ocsp_db_vtable
- add_host : wget_ocsp_db_vtable
- algorithm : wget_http_digest
- attr : wget_html_parsed_url
- attribute : wget_html_tag
- auth_scheme : wget_http_challenge

### - b -

- base : wget_html_parsed_result
- body : wget_http_request, wget_http_response_st
- body_callback : wget_http_request
- body_length : wget_http_request
- body_user_data : wget_http_request
- buf : xml_context

### - c -

- callback : xml_context
- check_pubkey : wget_hpkp_db_vtable
- cmp : wget_vector_st
- code : wget_http_response_st
- cond : wget_thread_cond_st
- connection_part : wget_iri_st
- content_length : wget_http_response_st
- cur : wget_vector_st

### - d -

- data : wget_buffer
- debug_skip_body : wget_http_request
- deinit : wget_hpkp_db_vtable, wget_hsts_db_vtable, wget_ocsp_db_vtable
- destructor : wget_vector_st
- dirlen : wget_iri_st
- display : wget_iri_st
- dns_secs : wget_dns_stats_data
- download : wget_html_parsed_url

### - e -

- encoded_digest : wget_http_digest
- encoding : wget_html_parsed_result
- entry : wget_vector_st
- error : wget_buffer
- esc_host : wget_http_request
- esc_host_buf : wget_http_request
- esc_resource : wget_http_request
- esc_resource_buf : wget_http_request
- etag : wget_http_response_st

### - f -

- fingerprint_in_cache : wget_ocsp_db_vtable
- first_response_start : wget_http_request
- follow : wget_html_parsed_result
- force : wget_netrc_st
- fragment : wget_iri_st
- fragment_allocated : wget_iri_st
- free : wget_hpkp_db_vtable, wget_hsts_db_vtable, wget_ocsp_db_vtable

### - h -

- hash : wget_metalink_piece
- hash_hex : wget_metalink_hash
- hashes : wget_metalink
- header : wget_http_response_st
- header_callback : wget_http_request
- header_user_data : wget_http_request
- headers : wget_http_request
- hints : xml_context
- host : wget_iri_st, wget_netrc_st
- host_allocated : wget_iri_st
- host_match : wget_hsts_db_vtable
- hostname : wget_dns_stats_data
- hostname_is_valid : wget_ocsp_db_vtable
- hsts : wget_http_response_st

### - i -

- icy_metaint : wget_http_response_st
- init : wget_hpkp_db_vtable, wget_hsts_db_vtable, wget_ocsp_db_vtable
- ip : wget_dns_stats_data
- iri : wget_metalink_mirror
- is_ip_address : wget_iri_st

### - l -

- len : wget_css_parsed_url_st, wget_string
- length : wget_buffer, wget_metalink_piece
- length_inconsistent : wget_http_response_st
- link_inline : wget_html_parsed_url
- load : wget_hpkp_db_vtable, wget_hsts_db_vtable, wget_ocsp_db_vtable
- location : wget_metalink_mirror
- login : wget_netrc_st

### - m -

- major : wget_http_response_st
- max : wget_vector_st
- method : wget_http_request
- minor : wget_http_response_st
- mirrors : wget_metalink
- msize : wget_iri_st
- mutex : wget_thread_mutex_st

### - n -

- name : wget_html_tag, wget_http_header_param, wget_metalink

### - p -

- p : wget_string, xml_context
- params : wget_http_challenge
- password : wget_iri_st, wget_netrc_st
- path : wget_iri_st
- path_allocated : wget_iri_st
- paths : wget_robots_st
- pieces : wget_metalink
- plugin_data : wget_plugin_st
- port : wget_dns_stats_data, wget_iri_st, wget_netrc_st
- port_given : wget_iri_st
- pos : wget_css_parsed_url_st
- position : wget_metalink_piece
- pri : wget_http_link
- priority : wget_metalink_mirror

### - q -

- query : wget_iri_st
- query_allocated : wget_iri_st

### - r -

- reason : wget_http_response_st
- rel : wget_http_link
- release_buf : wget_buffer
- release_data : wget_buffer
- request_start : wget_http_request
- resize_factor : wget_vector_st
- response_end : wget_http_response_st
- response_ignorelength : wget_http_request
- response_keepheader : wget_http_request

### - s -

- safe_uri : wget_iri_st
- save : wget_hpkp_db_vtable, wget_hsts_db_vtable, wget_ocsp_db_vtable
- scheme : wget_http_request, wget_iri_st
- sitemaps : wget_robots_st
- size : wget_buffer, wget_metalink
- sorted : wget_vector_st
- stream_id : wget_http_request

### - t -

- tag : wget_html_parsed_url
- tid : wget_thread_st
- token : xml_context
- token_len : xml_context
- token_size : xml_context
- type : wget_http_link, wget_metalink_hash

### - u -

- uri : wget_http_link, wget_iri_st
- uris : wget_html_parsed_result
- url : wget_css_parsed_url_st, wget_html_parsed_url
- user_ctx : xml_context
- user_data : wget_http_request
- userinfo : wget_iri_st

### - v -

- value : wget_http_header_param
- vtable : wget_plugin_st